GSI Authorization Callout Error API

Authorization Callout Error Objects. More...

## Macros

#define | GLOBUS_GSI_AUTHZ_CALLOUT_ERROR_MODULE (&globus_gsi_authz_callout_error_module)
| Module descriptor.
#define | GLOBUS_GSI_AUTHZ_CALLOUT_ERROR(__RESULT, __TYPE, __ERRSTR)
| Create an authorization callout error object. More...
#define | GLOBUS_GSI_AUTHZ_CALLOUT_ERRNO_ERROR(__RESULT, __ERRNO)
| Create an authorization callout error object with an errno. More...

## Enumerations

## Detailed Description

Authorization Callout Error Objects.

The GSI Authorization Callout Error API defines a set of Globus error codes which are used by the error objects generated by the GSI Authorization API. Applications or libraries that wish to use this interface must include the globus_gsi_authz_callout_error.h header.

## Macro Definition Documentation

#define GLOBUS_GSI_AUTHZ_CALLOUT_ERRNO_ERROR | ( |  | __RESULT,
|  |  | __ERRNO
| ) |  |

Create an authorization callout error object with an errno.

Update the __RESULT parameter to contain a new globus_result_t value pointing to an authorization error with the errno.

Parameters

  __RESULT | A globus_result_t value pointing to a causal error. This will be modified by this macro to point to the new error object.
  __ERRNO | The errno value of this new error object.

#define GLOBUS_GSI_AUTHZ_CALLOUT_ERROR | ( |  | __RESULT,
|  |  | __TYPE,
|  |  | __ERRSTR
| ) |  |

Create an authorization callout error object.

Update the __RESULT parameter to contain a new globus_result_t value pointing to an authorization error of type __TYPE with the detail string __ERRSTR.

Parameters

  __RESULT | A globus_result_t value pointing to a causal error. This will be modified by this macro to point to the new error object.
  __TYPE | The authorization error value from the globus_gsi_authz_callout_error_t enumeration.
  __ERRSTR | A parenthesized printf string containing the description of the error

## Enumeration Type Documentation

enum globus_gsi_authz_callout_error_t

Error codes.

Error code types used by the GSI Authorization Callout API

Enumerator
GLOBUS_GSI_AUTHZ_CALLOUT_AUTHZ_CALLOUT_ERROR | Authz callout error
GLOBUS_GSI_AUTHZ_CALLOUT_AUTHZ_DENIED_BY_CALLOUT | Authorization denied by callout
GLOBUS_GSI_AUTHZ_CALLOUT_CONFIGURATION_ERROR | Configuration Error
GLOBUS_GSI_AUTHZ_CALLOUT_SYSTEM_ERROR | System Error
GLOBUS_GSI_AUTHZ_CALLOUT_CREDENTIAL_ERROR | Credentials Error
GLOBUS_GSI_AUTHZ_CALLOUT_BAD_ARGUMENT_ERROR | A invalid parameter was detected